Funnels
Duplicate Funnel
POST
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringfunnelId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidFunnelRecord
application/json- response
id*stringprojectId*stringname*stringdescription*string|nullsteps*array<>exclusions*array<>holdProperty*string|nullunsupportedSteps?boolean|nullconversionWindowSeconds*number|strictOrder*booleantimeRangeSeconds*number|dashboardId*string|nullfolderId*string|nullnotebookId?string|null|nullposition*|nulldisplay*stringValue in
"steps""trend""metric"createdAt*stringupdatedAt*stringcurl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate'Example Response
{ "id": "string", "projectId": "string", "name": "string", "description": "string", "steps": [ { "type": "event", "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "exclusions": [ { "type": "event", "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "holdProperty": "string", "unsupportedSteps": true, "conversionWindowSeconds": 0, "strictOrder": true, "timeRangeSeconds": 0, "dashboardId": "string", "folderId": "string", "notebookId": "string", "position": { "x": 0, "y": 0, "w": 0, "h": 0 }, "display": "steps", "createdAt": "string", "updatedAt": "string"}curl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate'{
"id": "string",
"projectId": "string",
"name": "string",
"description": "string",
"steps": [
{
"type": "event",
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"exclusions": [
{
"type": "event",
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"holdProperty": "string",
"unsupportedSteps": true,
"conversionWindowSeconds": 0,
"strictOrder": true,
"timeRangeSeconds": 0,
"dashboardId": "string",
"folderId": "string",
"notebookId": "string",
"position": {
"x": 0,
"y": 0,
"w": 0,
"h": 0
},
"display": "steps",
"createdAt": "string",
"updatedAt": "string"
}